Subject: Cx feedbacks
From: Subir Chakma <[email-masked]>
To: amitchatterjee <[email-masked]>
Date: Tue, 29 Sep 2015 15:45:42 +0530 (IST)

Benson Koh 

I've had a chat with Amit, from Chat, and you guys pushed the blame on missing items from the Merchant instead. As a long time Borderlinx user, I'm extremely disappointed on how this is handled. Consider this my last time recommending people from using your service. Absolutely absurd. 

Rosanne Hebert 
Today at 2:25am 
WHAT IS WRONG WITH YOU PEOPLE??? when someone says I have not releas ed a package nor received a package, DO NOT TELL ME I HAVE RELEASED A PACKAGE when I do have the package in question. Tired of dealing with Amit Chatterjee who clearly does not have clue. Can someone who knows how to find my package do it ?? TICKET NUMBER LTK1221604515416X 0782-2833 I just want my package please !!! 

Regards